import React, { Component } from 'react';
import LoginForm from './LoginForm';
import { connect } from 'react-redux';
import { submit } from 'redux-form'

const toggleForm = () => {
  return dispatch => {

    dispatch({
      type: 'TOGGLE_LOGIN',
    });
  }
};

const faceStyle = {
  backgroundColor: '#3b5998',
  color: '#fff'
}

class Login extends Component {
  constructor(props) {
    super(props);
    this.login = this.login.bind(this);
    this.toggle = this.toggle.bind(this);
    this.escFunction = this.escFunction.bind(this);
  }

  componentDidMount() {
    document.addEventListener("keydown", this.escFunction, false);
  }
  componentWillUnmount() {
    document.removeEventListener("keydown", this.escFunction, false);
  }

  escFunction(event) {
    if (event.keyCode === 27) {
      this.props.isOpen == true && this.props.toggleForm();
    }
  }
  login(values) {
    console.table(values);
    this.props.toggleForm();
  }
  toggle() { this.props.isOpen == true && this.props.toggleForm(); }
  render() {
    let style = this.props.isOpen == true ? 'modal is-active' : 'modal';

    return (
      <div className={style}>
        <div className="modal-background" onClick={this.toggle}></div>
        <div className="modal-card">
          <header className="modal-card-head">
            <p className="modal-card-title">Login BilgiTAP Account</p>
            <button className="delete" onClick={this.toggle} aria-label="close"></button>
          </header>
          <section className="modal-card-body">
            <div className="field is-grouped is-grouped-centered">
              <p className="control">
                <a className="button" style={faceStyle}>
                  <span  >
                    <i className="fa fa-lg fa-facebook-square"></i>FaceBook Login
                  </span>
                </a>
              </p>
              <p className="control">
                <a className="button is-danger" >
                  <span  >
                    <i className="fa fa-lg fa-google-plus-square">Google Login</i>
                  </span>
                </a>
              </p>
            </div>
            <LoginForm onSubmit={this.login} />
          </section>
          <footer className="modal-card-foot">

          </footer>
        </div>
      </div>
    );
  }
}

const mapStateToProps = (state) => {
  return {
    isOpen: state.user.loginOpen
  };
}
export default connect(mapStateToProps, { toggleForm })(Login);