import React, { Component } from 'react';
import SignUpForm from './SignUpForm';
import { connect } from 'react-redux';
import { submit } from 'redux-form'

const toggleForm = () => {
    return dispatch => {

        dispatch({
            type: 'TOGGLE_SIGNUP',
        });
    }
};


class SignUp extends Component {
    constructor(props) {
        super(props);
        this.register = this.register.bind(this);
        this.toggle = this.toggle.bind(this);
        this.escFunction = this.escFunction.bind(this);
    }

    componentDidMount() {
        document.addEventListener("keydown", this.escFunction, false);
    }
    componentWillUnmount() {
        document.removeEventListener("keydown", this.escFunction, false);
    }

    escFunction(event) {
        if (event.keyCode === 27) {
            this.props.isOpen == true && this.props.toggleForm();
        }
    }
    register(values) {
        console.table(values);
        this.props.toggleForm();
    }
    toggle() { this.props.isOpen == true && this.props.toggleForm(); }
    render() {
        let style = this.props.isOpen == true ? 'modal is-active' : 'modal';

        return (
            <div className={style}>
                <div className="modal-background" onClick={this.toggle}></div>
                <div className="modal-card">
                    <header className="modal-card-head">
                        <p className="modal-card-title">SignUp for BilgiTAP</p>
                        <button className="delete" onClick={this.toggle} aria-label="close"></button>
                    </header>
                    <section className="modal-card-body">
                        <SignUpForm onSubmit={this.register} />
                    </section>
                    <footer className="modal-card-foot">
                        {/* <a className="button" onClick={closeModal}>Cancel</a> */}
                    </footer>
                </div>
            </div>
        );
    }
}

const mapStateToProps = (state) => {
    return {
        isOpen: state.user.signUpOpen
    };
}
export default connect(mapStateToProps, { toggleForm })(SignUp);