import * as firebase from 'firebase';
 

const firebaseConfig = () => {
    if (!process.env.REACT_APP_FIREBASE_KEY || !process.env.REACT_APP_FIREBASE_DOMAIN) {
        throw new Error('Please define `FIREBASE_KEY` and `FIREBASE_DOMAIN` in your .env file');
    }

    const apiKey = process.env.REACT_APP_FIREBASE_KEY
    const authDomain = process.env.REACT_APP_FIREBASE_DOMAIN;
    const databaseURL = process.env.REACT_APP_FIREBASE_DATABASE;
    const projectId = process.env.REACT_APP_FIREBASE_PROJECT_ID;
    const storageBucket = process.env.REACT_APP_FIREBASE_STORAGE_BUCKET;
    const messagingSenderId = process.env.REACT_APP_FIREBASE_SENDER_ID;

    return { apiKey, authDomain, databaseURL, projectId, storageBucket, messagingSenderId };

  }

firebase.initializeApp(firebaseConfig());

export const dc = firebase.database().ref();
export const myCourseRef = uid => firebase.database().ref(`courses/${uid}`);
export const mySingleCourseRef = (guid, uid) => {
    return firebase.database().ref(`courses/${uid / guid}`);
}
export const courseListRef = firebase.database().ref('courselist');
export const singleCourseRef = (guid) => {
    return firebase.database().ref(`courselist/${guid}`);
}

export const auth = firebase.auth();
export const googleProvider = new firebase.auth.GoogleAuthProvider();